diff --git a/src/main/java/net/minecraft/client/render/block/model/CakeBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelCake.java
similarity index 87%
rename from src/main/java/net/minecraft/client/render/block/model/CakeBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelCake.java
index a947da4fa..8f3e9b25a 100644
--- a/src/main/java/net/minecraft/client/render/block/model/CakeBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelCake.java
@@ -5,9 +5,9 @@ import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.Side;
 
-public class CakeBlockModel<T extends Block> extends StandardBlockModel<T> {
+public class BlockModelCake<T extends Block> extends BlockModelStandard<T> {
     protected IconCoordinate cakeInner = TextureRegistry.getTexture("minecraft:block/cake/inner");
-    public CakeBlockModel(Block block) {
+    public BlockModelCake(Block block) {
         super(block);
         float f = 0.0625F;
         float f1 = 0.5F;
diff --git a/src/main/java/net/minecraft/client/render/block/model/CandleBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelCandle.java
similarity index 97%
rename from src/main/java/net/minecraft/client/render/block/model/CandleBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelCandle.java
index d2feaf649..36486f348 100644
--- a/src/main/java/net/minecraft/client/render/block/model/CandleBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelCandle.java
@@ -5,8 +5,8 @@ import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.Side;
 
-public class CandleBlockModel<T extends Block> extends StandardBlockModel<T> {
-    public CandleBlockModel(Block block) {
+public class BlockModelCandle<T extends Block> extends BlockModelStandard<T> {
+    public BlockModelCandle(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/ChestBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelChest.java
similarity index 84%
rename from src/main/java/net/minecraft/client/render/block/model/ChestBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelChest.java
index 29727a4fe..07958e0e4 100644
--- a/src/main/java/net/minecraft/client/render/block/model/ChestBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelChest.java
@@ -3,12 +3,12 @@ package net.minecraft.client.render.block.model;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.ChestBlock;
+import net.minecraft.core.block.BlockChest;
 import net.minecraft.core.util.helper.Axis;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 
-public class ChestBlockModel<T extends Block> extends StandardBlockModel<T> {
+public class BlockModelChest<T extends Block> extends BlockModelStandard<T> {
     protected IconCoordinate chestFrontSingle;
     protected IconCoordinate chestFrontLeft;
     protected IconCoordinate chestFrontRight;
@@ -16,7 +16,7 @@ public class ChestBlockModel<T extends Block> extends StandardBlockModel<T> {
     protected IconCoordinate chestBackRight;
     protected IconCoordinate chestSide;
     protected IconCoordinate chestTop;
-    public ChestBlockModel(Block block, String rootKey) {
+    public BlockModelChest(Block block, String rootKey) {
         super(block);
         chestFrontSingle = TextureRegistry.getTexture(rootKey + "front");
         chestFrontLeft = TextureRegistry.getTexture(rootKey + "left_front");
@@ -35,15 +35,15 @@ public class ChestBlockModel<T extends Block> extends StandardBlockModel<T> {
             return chestTop;
         }
 
-        Side facing = ChestBlock.getDirectionFromMeta(meta).getSide();
-        ChestBlock.Type type = ChestBlock.getTypeFromMeta(meta);
+        Side facing = BlockChest.getDirectionFromMeta(meta).getSide();
+        BlockChest.Type type = BlockChest.getTypeFromMeta(meta);
 
-        if(type == ChestBlock.Type.SINGLE) {
+        if(type == BlockChest.Type.SINGLE) {
             if(side == facing) {
                 return chestFrontSingle;
             }
         }
-        if(type == ChestBlock.Type.LEFT) {
+        if(type == BlockChest.Type.LEFT) {
             if(side == facing) {
                 return chestFrontLeft;
             }
@@ -51,7 +51,7 @@ public class ChestBlockModel<T extends Block> extends StandardBlockModel<T> {
                 return chestBackRight;
             }
         }
-        if(type == ChestBlock.Type.RIGHT) {
+        if(type == BlockChest.Type.RIGHT) {
             if(side == facing) {
                 return chestFrontRight;
             }
diff --git a/src/main/java/net/minecraft/client/render/block/model/PaintedChestBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelChestPainted.java
similarity index 88%
rename from src/main/java/net/minecraft/client/render/block/model/PaintedChestBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelChestPainted.java
index 015412d8d..3404a4fcc 100644
--- a/src/main/java/net/minecraft/client/render/block/model/PaintedChestBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelChestPainted.java
@@ -3,13 +3,13 @@ package net.minecraft.client.render.block.model;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.ChestBlock;
+import net.minecraft.core.block.BlockChest;
 import net.minecraft.core.util.helper.Axis;
 import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 
-public class PaintedChestBlockModel<T extends Block> extends ChestBlockModel<T> {
+public class BlockModelChestPainted<T extends Block> extends BlockModelChest<T> {
     public static final IconCoordinate[][] texCoords = new IconCoordinate[DyeColor.COLOR_AMOUNT][];
     public static final int TEX_SINGLE_FRONT = 0;
     public static final int TEX_LEFT_FRONT = 1;
@@ -32,7 +32,7 @@ public class PaintedChestBlockModel<T extends Block> extends ChestBlockModel<T>
             texCoords[c.blockMeta][TEX_TOP] = TextureRegistry.getTexture(rootKey + "top");
         }
     }
-    public PaintedChestBlockModel(Block block) {
+    public BlockModelChestPainted(Block block) {
         super(block, "minecraft:block/chest/planks/");
     }
 
@@ -45,15 +45,15 @@ public class PaintedChestBlockModel<T extends Block> extends ChestBlockModel<T>
             return texCoords[color][6];
         }
 
-        Side facing = ChestBlock.getDirectionFromMeta(meta).getSide();
-        ChestBlock.Type type = ChestBlock.getTypeFromMeta(meta);
+        Side facing = BlockChest.getDirectionFromMeta(meta).getSide();
+        BlockChest.Type type = BlockChest.getTypeFromMeta(meta);
 
-        if(type == ChestBlock.Type.SINGLE) {
+        if(type == BlockChest.Type.SINGLE) {
             if(side == facing) {
                 return texCoords[color][TEX_SINGLE_FRONT];
             }
         }
-        if(type == ChestBlock.Type.LEFT) {
+        if(type == BlockChest.Type.LEFT) {
             if(side == facing) {
                 return texCoords[color][TEX_LEFT_FRONT];
             }
@@ -61,7 +61,7 @@ public class PaintedChestBlockModel<T extends Block> extends ChestBlockModel<T>
                 return texCoords[color][TEX_RIGHT_BACK];
             }
         }
-        if(type == ChestBlock.Type.RIGHT) {
+        if(type == BlockChest.Type.RIGHT) {
             if(side == facing) {
                 return texCoords[color][TEX_RIGHT_FRONT];
             }
diff --git a/src/main/java/net/minecraft/client/render/block/model/CropsPumpkinBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelCropsPumpkin.java
similarity index 96%
rename from src/main/java/net/minecraft/client/render/block/model/CropsPumpkinBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelCropsPumpkin.java
index 967fb26f0..4bf567ec0 100644
--- a/src/main/java/net/minecraft/client/render/block/model/CropsPumpkinBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelCropsPumpkin.java
@@ -7,7 +7,7 @@ import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.Side;
 
-public class CropsPumpkinBlockModel<T extends Block> extends StandardBlockModel<T> {
+public class BlockModelCropsPumpkin<T extends Block> extends BlockModelStandard<T> {
     public static final IconCoordinate[] GROWTH_STAGE_TEXTURES_TOP = {
             TextureRegistry.getTexture("minecraft:block/crops_pumpkin/stage1_top"),
             TextureRegistry.getTexture("minecraft:block/crops_pumpkin/stage2_top"),
@@ -23,7 +23,7 @@ public class CropsPumpkinBlockModel<T extends Block> extends StandardBlockModel<
 
     public static final IconCoordinate LEAF_TEXTURE = TextureRegistry.getTexture("minecraft:block/crops_pumpkin/stage0");
 
-    public CropsPumpkinBlockModel(Block block) {
+    public BlockModelCropsPumpkin(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/CropsWheatBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelCropsWheat.java
similarity index 95%
rename from src/main/java/net/minecraft/client/render/block/model/CropsWheatBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelCropsWheat.java
index d22ef58cc..5df1d6da5 100644
--- a/src/main/java/net/minecraft/client/render/block/model/CropsWheatBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelCropsWheat.java
@@ -5,11 +5,11 @@ import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.CropsWheatBlock;
+import net.minecraft.core.block.BlockCropsWheat;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.helper.Side;
 
-public class CropsWheatBlockModel<T extends Block> extends StandardBlockModel<T> {
+public class BlockModelCropsWheat<T extends Block> extends BlockModelStandard<T> {
     public final IconCoordinate[] growthStageTextures = {
             TextureRegistry.getTexture("minecraft:block/crops_wheat/stage0"),
             TextureRegistry.getTexture("minecraft:block/crops_wheat/stage1"),
@@ -21,9 +21,9 @@ public class CropsWheatBlockModel<T extends Block> extends StandardBlockModel<T>
             TextureRegistry.getTexture("minecraft:block/crops_wheat/stage7")
     };
 
-    public CropsWheatBlockModel(Block block) {
+    public BlockModelCropsWheat(Block block) {
         super(block);
-        assert growthStageTextures.length == CropsWheatBlock.MAX_GROWTH_STATE + 1 : "There must be a texture for each wheat growth stage!";
+        assert growthStageTextures.length == BlockCropsWheat.MAX_GROWTH_STATE + 1 : "There must be a texture for each wheat growth stage!";
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/client/render/block/model/CrossedSquaresBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelCrossedSquares.java
similarity index 98%
rename from src/main/java/net/minecraft/client/render/block/model/CrossedSquaresBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelCrossedSquares.java
index c5876dba9..59349f711 100644
--- a/src/main/java/net/minecraft/client/render/block/model/CrossedSquaresBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelCrossedSquares.java
@@ -10,8 +10,8 @@ import net.minecraft.core.util.helper.Side;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.opengl.GL11;
 
-public class CrossedSquaresBlockModel<T extends Block> extends StandardBlockModel<T> {
-    public CrossedSquaresBlockModel(Block block) {
+public class BlockModelCrossedSquares<T extends Block> extends BlockModelStandard<T> {
+    public BlockModelCrossedSquares(Block block) {
         super(block);
     }
     @Override
diff --git a/src/main/java/net/minecraft/client/render/block/model/BlockModelDispatcher.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelDispatcher.java
index d82b4aed1..c1627e09f 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BlockModelDispatcher.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelDispatcher.java
@@ -13,7 +13,7 @@ public class BlockModelDispatcher
     {
         return instance;
     }
-    public static EmptyBlockModel modelEmpty = new EmptyBlockModel(null);
+    public static BlockModelEmpty modelEmpty = new BlockModelEmpty(null);
     public void addDispatch(BlockModel dispatchable)
     {
         addDispatch(dispatchable.block, dispatchable);
